unit ReadMe;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmReadMe = class(TForm)
    memoReadMe: TMemo;
    btnClose: TButton;
    procedure FormCreate(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmReadMe: TfrmReadMe;

implementation

uses Main;

{$R *.dfm}

procedure TfrmReadMe.FormCreate(Sender: TObject);
begin

    // ppna och ls in filen till memo-rutan
    if FileExists(gProgramPath + 'ReadMe.txt') then
        MemoReadMe.Lines.LoadFromFile(gProgramPath + 'ReadMe.txt');

end;

procedure TfrmReadMe.btnCloseClick(Sender: TObject);
begin
    frmReadMe.close;
end;

procedure TfrmReadMe.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin

    // stnger ReadMe om Escape trycks ner
    if Ord(key) = 27 then
	    frmReadMe.Close;

end;

end.
